My Project: dgAmpBodyData Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgAmpBodyData Class Reference

`#include <dgAmpInstance.h>`

Inheritance diagram for dgAmpBodyData:

## Public Member Functions

| dgAmpBodyData (dgMemoryAllocator *const allocator)
void | Alloc (dgInt32 count)
void | CLean ()

## Public Attributes

dgInt32 | m_currentSize
array< float_4, 1 > | m_bodyInvMass
array< dgAmpJacobian, 1 > | m_bodyDamp
array< dgAmpJacobian, 1 > | m_bodyVelocity
array< dgAmpJacobian, 1 > | m_bodyNetForce
array< dgAmpJacobian, 1 > | m_bodyInternalForce
array< dgAmpMatrix4x4, 1 > | m_bodyMatrix
array< dgAmpMatrix4x4, 1 > | m_bodyInvInertiaMatrix
array_view< float_4, 1 > | m_bodyInvMassCpu
array_view< dgAmpJacobian, 1 > | m_bodyDampCpu
array_view< dgAmpMatrix4x4, 1 > | m_bodyMatrixCpu
array_view< dgAmpJacobian, 1 > | m_bodyVelocityCpu

## Constructor & Destructor Documentation

## § dgAmpBodyData()

dgAmpBodyData::dgAmpBodyData | ( | dgMemoryAllocator *const | allocator | ) |

## Member Function Documentation

## § Alloc()

void dgAmpBodyData::Alloc | ( | dgInt32 | count | ) |

## § CLean()

void dgAmpBodyData::CLean | ( |  | ) |

## Member Data Documentation

## § m_bodyDamp

array<dgAmpJacobian, 1> dgAmpBodyData::m_bodyDamp

## § m_bodyDampCpu

array_view<dgAmpJacobian, 1> dgAmpBodyData::m_bodyDampCpu

## § m_bodyInternalForce

array<dgAmpJacobian, 1> dgAmpBodyData::m_bodyInternalForce

## § m_bodyInvInertiaMatrix

array<dgAmpMatrix4x4 , 1> dgAmpBodyData::m_bodyInvInertiaMatrix

## § m_bodyInvMass

array<float_4, 1> dgAmpBodyData::m_bodyInvMass

## § m_bodyInvMassCpu

array_view<float_4, 1> dgAmpBodyData::m_bodyInvMassCpu

## § m_bodyMatrix

array<dgAmpMatrix4x4 , 1> dgAmpBodyData::m_bodyMatrix

## § m_bodyMatrixCpu

array_view<dgAmpMatrix4x4, 1> dgAmpBodyData::m_bodyMatrixCpu

## § m_bodyNetForce

array<dgAmpJacobian, 1> dgAmpBodyData::m_bodyNetForce

## § m_bodyVelocity

array<dgAmpJacobian, 1> dgAmpBodyData::m_bodyVelocity

## § m_bodyVelocityCpu

array_view<dgAmpJacobian, 1> dgAmpBodyData::m_bodyVelocityCpu

## § m_currentSize

dgInt32 dgAmpBodyData::m_currentSize

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/ampPhysics/dgAmpInstance.h
- dynamics.mod/NewtonDynamics/source/ampPhysics/dgAmpInstance.cpp